Bug 804330 - FTBFS: segmentation fault during self checks
FTBFS: segmentation fault during self checks
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gmp-ecm (Show other bugs)
17
powerpc Linux
medium Severity high
: ---
: ---
Assigned To: Conrad Meyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-17 16:54 EDT by Karsten Hopp
Modified: 2013-01-11 18:32 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-16 20:30:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2012-03-17 16:54:11 EDT
Description of problem:
build on PPC abort with this error:

GMP-ECM 6.4 [configured with GMP 5.0.2] [P+1]
Input number is 2050449218179969792522461197 (28 digits)
Using B1=20, B2=-1578-1248978, polynomial x^1, x0=6
Step 1 took 1ms
lt-ecm: pm1fs2.c:3731: pp1_sequence_h: Assertion `l_param >= offset' failed.
lt-ecm: pm1fs2.c:3731: pp1_sequence_h: Assertion `l_param >= offset' failed.
lt-ecm: pm1fs2.c:3731: pp1_sequence_h: Assertion `l_param >= offset' failed.
lt-ecm: pm1fs2.c:3731: pp1_sequence_h: Assertion `l_param >= offset' failed.
lt-ecm: pm1fs2.c:3731: pp1_sequence_h: Assertion `l_param >= offset' failed.
lt-ecm: pm1fs2.c:3731: pp1_sequence_h: Assertion `l_param >= offset' failed.
lt-ecm: pm1fs2.c:3731: pp1_sequence_h: Assertion `l_param >= offset' failed.
./test.pp1: line 55: 57773 Done                    echo 2050449218179969792522461197
     57774 Aborted                 (core dumped) | $PP1 -x0 6 -k 1 20 0-1e6
############### ERROR ###############
Expected return code 14 but got 134

Version-Release number of selected component (if applicable):
gmp-ecm-6.4-1.fc17

How reproducible:
always, last gmp-ecm that completed a build on PPC was gmp-ecm-6.2.3-3.fc15,
see http://ppc.koji.fedoraproject.org/koji/packageinfo?packageID=2127

Steps to Reproduce:
1.ppc-koji build --scratch f17 gmp-ecm-6.4-1.fc17.src.rpm
2.
3.
  
Actual results:
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=447566

Expected results:


Additional info:
Comment 1 Gustavo Luiz Duarte 2012-06-29 12:50:51 EDT
I filed an upstream bug for this:
https://gforge.inria.fr/tracker/index.php?func=detail&aid=14476&group_id=135&atid=623


1) Meanwhile, we can just remove the configure option --enable-openmp from the spec file (maybe only for ppc[64]?). This fixes the "Assertion `l_param >= offset' failed" error.


2) For ppc64 we will need also the following patch. This has already been committed upstream on trunk (revision 1971):

http://trac.sagemath.org/sage_trac/raw-attachment/ticket/11705/GMP-ECM_PPC64_ELF_function_descriptors.patch
Comment 2 Fedora Update System 2012-12-07 11:45:42 EST
gmp-ecm-6.4.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gmp-ecm-6.4.3-1.fc17
Comment 3 Fedora Update System 2012-12-07 11:45:57 EST
gmp-ecm-6.4.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gmp-ecm-6.4.3-1.fc18
Comment 4 Fedora Update System 2012-12-07 15:44:45 EST
Package gmp-ecm-6.4.3-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gmp-ecm-6.4.3-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19944/gmp-ecm-6.4.3-1.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-12-16 20:30:31 EST
gmp-ecm-6.4.3-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-01-11 18:32:47 EST
gmp-ecm-6.4.3-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.